//
//  GMHighlightStrGenerator.h
//  GMKit
//
//  Created by wangyang on 2020/4/14.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

/// 使用该类创建高亮字符串
/// 该类写死了匹配规则“<ems>xxx</ems>”
@interface GMHighlightStrGenerator :  NSObject
/// 对齐方式
@property (nonatomic, assign) NSTextAlignment aligment;
/// 行高
@property (nonatomic, assign) CGFloat lineHeight;
/// 普通字体
@property (nonatomic, strong) UIFont *font;
/// 高亮字体
@property (nonatomic, strong) UIFont *hightlightFont;
/// 高亮字体颜色
@property (nonatomic, strong) UIColor *hightlightColor;
/// 普通字体颜色
@property (nonatomic, strong) UIColor *normalColor;
/// 配置好属性后，使用该方法生成高亮字符串。
- (nullable NSMutableAttributedString *)generateWithString:(NSString *)str;
@end

NS_ASSUME_NONNULL_END
